Name:           anerley
Version:        0.1.7
Release:        1%{?dist}
Summary:        Moblin widgets for people information

Group:          System Environment/Libraries
License:        LGPLv2
URL:            http://www.moblin.org/
Source0:        http://git.moblin.org/cgit.cgi/%{name}/snapshot/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: evolution-data-server-devel
BuildRequires: glib2-devel
BuildRequires: nbtk-devel
BuildRequires: telepathy-glib-devel
BuildRequires: intltool
BuildRequires: gettext

# Require these because the git tarball doesn't have the configure built
BuildRequires: libtool
BuildRequires: gnome-common

%description
Moblin widgets for management of people information using telepathy 
and associated protocols

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Files for development with %{name}.

%prep
%setup -q

# Don't run configure from autogen.sh
NOCONFIGURE=true ./autogen.sh

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/*.so.*
%{_datadir}/anerley

%files devel
%defattr(-,root,root,-)
%{_includedir}/anerley
%{_libdir}/pkgconfig/anerley.pc
%{_libdir}/*.so

%changelog
* Fri Oct 16 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.7-1
- New upstream 0.1.7 release

* Sun Oct 11 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.6-1
- New upstream 0.1.6 release

* Sat Oct 10 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.5-1
- New upstream 0.1.5 release

* Wed Sep 30 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.4-1
- New upstream 0.1.4 release, drop upstreamed MC5 patches

* Tue Sep 29 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.2-1
- New upstream 0.1.2 release

* Tue Sep 29 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.1-3
- Add patch for pkgconfig file for mc5

* Mon Sep 28 2009 Bastien Nocera <bnocera@redhat.com> 0.1.1-2
- Add patch to port to Mission Control 5

* Sat Sep 19 2009 Peter Robinson <pbrobinson@gmail.com> 0.1.1-1
- New upstream 0.1.1 release

* Fri Aug  7 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.20-4
- Rebuild due to mission-control bump

* Fri Aug  7 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.20-3
- Re-add gnome-comnmon buildreq

* Fri Aug  7 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.20-2
- Spec file cleanups

* Tue Aug  4 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.20-1
- New upstream release - 0.0.20

* Mon Jul 27 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.18-1
- New upstream release - 0.0.18

* Wed Jul 22 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.17-1
- New upstream release - 0.0.17, add translations

* Sat Jul 18 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.15-1
- New upstream release - 0.0.15

* Thu Jun 18 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.13-1
- New upstream release, review feedback

* Thu Jun 18 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.9-1
- Initial packaging
